dither_matrix_impl Struct Reference

`#include <dither.h>`

## Data Fields

int | base
int | exp
int | x_size
int | y_size
int | total_size
int | last_x
int | last_x_mod
int | last_y
int | last_y_mod
int | index
int | i_own
int | x_offset
int | y_offset
unsigned | fast_mask
unsigned * | matrix

## Field Documentation

int dither_matrix_impl::base

int dither_matrix_impl::exp

unsigned dither_matrix_impl::fast_mask

int dither_matrix_impl::i_own

int dither_matrix_impl::index

int dither_matrix_impl::last_x

int dither_matrix_impl::last_x_mod

int dither_matrix_impl::last_y

int dither_matrix_impl::last_y_mod

unsigned* dither_matrix_impl::matrix

int dither_matrix_impl::total_size

int dither_matrix_impl::x_offset

int dither_matrix_impl::x_size

int dither_matrix_impl::y_offset

int dither_matrix_impl::y_size

The documentation for this struct was generated from the following file:

- include/gutenprint/dither.h